<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: container  YAHOO.widget.Dialog   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>Container&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_container.html">container</a>
                 &gt; YAHOO.widget.Dialog 
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">


                    <h2>
                        

                        
                        
                            Class <b>YAHOO.widget.Dialog</b>
                        <span class="extends">
                           - extends <a href="YAHOO.widget.Panel.html">YAHOO.widget.Panel</a>
                        </span>

                        <span class="extends">
                        </span>
                        
                        </code>
                    </h2>
                    <!-- class tree goes here -->
                    
                        <dl class="subclasses">
                            <dt>Known Subclasses:</dd>
                            <dd>
                                    <a href="YAHOO.widget.SimpleDialog.html">YAHOO.widget.SimpleDialog</a>
                            </dd>
                       </dl>
                
  

                    <div class="summary description">
                        Dialog is an implementation of Panel that can be used to submit form data. Built-in functionality for buttons with event handlers is included, and button sets can be build dynamically, or the preincluded ones for Submit/Cancel and OK/Cancel can be utilized. Forms can be processed in 3 ways -- via an asynchronous Connection utility call, a simple form POST or GET, or manually.
                    </div>

                        <div class="section constructor details">
                        <h3><a name="constructor_detail">Constructor</a></h3>
                        <div class="content">
                            <div class="detail">
                                <strong>YAHOO.widget.Dialog</strong>
                                <code>
                                    (
  
                                        
                                                
                                                el


                                                , 
                                                userConfig
                                    )
                                </code>
                                <div class="description">
                                        <dl>
                                            <dt>Parameters:</dt>
                                                <dd>
                                                    <code>el
                                                    &lt;String&gt; 
                                                    </code>
                                                    	The element ID representing the Dialog <em>OR</em>
                                                </dd>
                                                <dd>
                                                    <code>el
                                                    &lt;HTMLElement&gt; 
                                                    </code>
                                                    	The element representing the Dialog
                                                </dd>
                                                <dd>
                                                    <code>userConfig
                                                    &lt;Object&gt; 
                                                    </code>
                                                    	The configuration object literal containing the configuration that should be set for this Dialog. See configuration documentation for more details.
                                                </dd>
                                        </dl>
                                    
                                    
                                </div>
                            </div>
                        </div>
                    </div>

                        <div class="section field details">
                            <h3><a name="field_detail">Properties</a></h3>
                            <div class="content">
                                    <h4><a name="callback">callback</a>
                                        <code>- Object</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The internally maintained callback object for use with the Connection utility
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="callback.argument">callback.argument</a>
                                        <code>- Object</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The arbitraty argument or arguments to pass to the Connection callback functions
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="callback.failure">callback.failure</a>
                                        <code>- Function</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The function to execute upon failure of the Connection submission
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="callback.success">callback.success</a>
                                        <code>- Function</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The function to execute upon success of the Connection submission
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="YAHOO.widget.Dialog.CSS_DIALOG">YAHOO.widget.Dialog.CSS_DIALOG</a>
                                        <code>- static final String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Constant representing the default CSS class used for a Dialog
                                        </div>
                                    </div>
     
                                        


                                    <hr />


                            </div>
                        </div>

                        <div class="section field inheritance">
                            <h4>Properties inherited from <a href="YAHOO.widget.Panel.html">YAHOO.widget.Panel</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                </code>
                            </div>
                        </div>
                        <div class="section field inheritance">
                            <h4>Properties inherited from <a href="YAHOO.widget.Module.html">YAHOO.widget.Module</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.Module.html#body">body</a>,
                                        <a href="YAHOO.widget.Module.html#browser">browser</a>,
                                        <a href="YAHOO.widget.Module.html#cfg">cfg</a>,
                                        <a href="YAHOO.widget.Module.html#contructor">contructor</a>,
                                        <a href="YAHOO.widget.Module.html#element">element</a>,
                                        <a href="YAHOO.widget.Module.html#footer">footer</a>,
                                        <a href="YAHOO.widget.Module.html#header">header</a>,
                                        <a href="YAHOO.widget.Module.html#id">id</a>,
                                        <a href="YAHOO.widget.Module.html#imageRoot">imageRoot</a>,
                                        <a href="YAHOO.widget.Module.html#isSecure">isSecure</a>,
                                        <a href="YAHOO.widget.Module.html#platform">platform</a>
                                </code>
                            </div>
                        </div>
                        <div class="section field inheritance">
                            <h4>Properties inherited from <a href="YAHOO.widget.Overlay.html">YAHOO.widget.Overlay</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.Overlay.html#YAHOO.widget.Overlay._initialized">YAHOO.widget.Overlay._initialized</a>
                                </code>
                            </div>
                        </div>

                        <div class="section method details">
                            <h3><a name="methodDetails">Methods</a></h3>
                            <div class="content">
                                    <h4>
                                        <a name="blurButtons">blurButtons</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>blurButtons</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Blurs all the html buttons
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="cancel">cancel</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>cancel</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Executes the cancel of the Dialog followed by a hide.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="configButtons">configButtons</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>configButtons</strong>
                                           (
                                                
                                                        
                                                         type
                                                    
                                                
                                                        , 
                                                         args
                                                    
                                                
                                                        , 
                                                         obj
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            The default event handler for the "buttons" configuration property
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>type &lt;String&gt;</code>
                                                            	The CustomEvent type (usually the property name)
                                                        </dd>
                                                        <dd>
                                                            <code>args &lt;Object[]&gt;</code>
                                                            	The CustomEvent arguments. For configuration handlers, args[0] will equal the newly applied value for the property.
                                                        </dd>
                                                        <dd>
                                                            <code>obj &lt;Object&gt;</code>
                                                            	The scope object. For configuration handlers, this will usually equal the owner.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="configClose">configClose</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>configClose</strong>
                                           (
                                                
                                                        
                                                         type
                                                    
                                                
                                                        , 
                                                         args
                                                    
                                                
                                                        , 
                                                         obj
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            The default event handler fired when the "close" property is changed. The method controls the appending or hiding of the close icon at the top right of the Dialog.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>type &lt;String&gt;</code>
                                                            	The CustomEvent type (usually the property name)
                                                        </dd>
                                                        <dd>
                                                            <code>args &lt;Object[]&gt;</code>
                                                            	The CustomEvent arguments. For configuration handlers, args[0] will equal the newly applied value for the property.
                                                        </dd>
                                                        <dd>
                                                            <code>obj &lt;Object&gt;</code>
                                                            	The scope object. For configuration handlers, this will usually equal the owner.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="configPostMethod">configPostMethod</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>configPostMethod</strong>
                                           (
                                                
                                                        
                                                         type
                                                    
                                                
                                                        , 
                                                         args
                                                    
                                                
                                                        , 
                                                         obj
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            The default event handler for the "postmethod" configuration property
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>type &lt;String&gt;</code>
                                                            	The CustomEvent type (usually the property name)
                                                        </dd>
                                                        <dd>
                                                            <code>args &lt;Object[]&gt;</code>
                                                            	The CustomEvent arguments. For configuration handlers, args[0] will equal the newly applied value for the property.
                                                        </dd>
                                                        <dd>
                                                            <code>obj &lt;Object&gt;</code>
                                                            	The scope object. For configuration handlers, this will usually equal the owner.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="doSubmit">doSubmit</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>doSubmit</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Performs the submission of the Dialog form depending on the value of "postmethod" property.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="focusDefaultButton">focusDefaultButton</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>focusDefaultButton</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Sets the focus to the button that is designated as the default. By default, his handler is executed when the show event is fired.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="focusFirst">focusFirst</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>focusFirst</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            The default event handler used to focus the first field of the form when the Dialog is shown.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="focusFirstButton">focusFirstButton</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>focusFirstButton</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Sets the focus to the first button in the button list
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="focusLast">focusLast</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>focusLast</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Sets the focus to the last button in the button or form element in the Dialog
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="focusLastButton">focusLastButton</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>focusLastButton</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Sets the focus to the first button in the button list
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="getData">getData</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Object
                                            <strong>getData</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Returns a JSON-compatible data structure representing the data currently contained in the form.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Object
                                                    </code></dt>
                                                    <dd>A JSON object reprsenting the data of the current form.</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="init">init</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>init</strong>
                                           (
                                                
                                                        
                                                         el
                                                    
                                                

                                                
                                                        , 
                                                         userConfig
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            The Dialog initialization method, which is executed for Dialog and all of its subclasses. This method is automatically called by the constructor, and  sets up all DOM references for pre-existing markup, and creates required markup if it is not already present.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>el &lt;String&gt;</code>
                                                            	The element ID representing the Dialog <em>OR</em>
                                                        </dd>
                                                        <dd>
                                                            <code>el &lt;HTMLElement&gt;</code>
                                                            	The element representing the Dialog
                                                        </dd>
                                                        <dd>
                                                            <code>userConfig &lt;Object&gt;</code>
                                                            	The configuration object literal containing the configuration that should be set for this Dialog. See configuration documentation for more details.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="initDefaultConfig">initDefaultConfig</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>initDefaultConfig</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Initializes the class's configurable properties which can be changed using the Dialog's Config object (cfg).
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="initEvents">initEvents</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>initEvents</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Initializes the custom events for Dialog which are fired automatically at appropriate times by the Dialog class.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="registerForm">registerForm</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>registerForm</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Prepares the Dialog's internal FORM object, creating one if one is not currently present.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="submit">submit</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>submit</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Executes a submit of the Dialog followed by a hide, if validation is successful.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="toString">toString</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        String
                                            <strong>toString</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Returns a string representation of the object.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        String
                                                    </code></dt>
                                                    <dd>The string representation of the Dialog</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="validate">validate</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>validate</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Built-in function hook for writing a validation function that will be checked for a "true" value prior to a submit. This function, as implemented by default, always returns true, so it should be overridden if validation is necessary.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                            </div>
                        </div>

                            <div class="section field inheritance">
                                <h4>Methods inherited from <a href="YAHOO.widget.Panel.html">YAHOO.widget.Panel</a>:</h4>
                                <div class="content">
                                    <code>
                                        
                                            <a href="YAHOO.widget.Panel.html#buildMask">buildMask</a>,
                                            <a href="YAHOO.widget.Panel.html#buildWrapper">buildWrapper</a>,
                                            <a href="YAHOO.widget.Panel.html#configClose">configClose</a>,
                                            <a href="YAHOO.widget.Panel.html#configDraggable">configDraggable</a>,
                                            <a href="YAHOO.widget.Panel.html#configHeight">configHeight</a>,
                                            <a href="YAHOO.widget.Panel.html#configKeyListeners">configKeyListeners</a>,
                                            <a href="YAHOO.widget.Panel.html#configModal">configModal</a>,
                                            <a href="YAHOO.widget.Panel.html#configUnderlay">configUnderlay</a>,
                                            <a href="YAHOO.widget.Panel.html#configWidth">configWidth</a>,
                                            <a href="YAHOO.widget.Panel.html#configzIndex">configzIndex</a>,
                                            <a href="YAHOO.widget.Panel.html#hideMask">hideMask</a>,
                                            <a href="YAHOO.widget.Panel.html#init">init</a>,
                                            <a href="YAHOO.widget.Panel.html#initDefaultConfig">initDefaultConfig</a>,
                                            <a href="YAHOO.widget.Panel.html#initEvents">initEvents</a>,
                                            <a href="YAHOO.widget.Panel.html#onDomResize">onDomResize</a>,
                                            <a href="YAHOO.widget.Panel.html#registerDragDrop">registerDragDrop</a>,
                                            <a href="YAHOO.widget.Panel.html#removeMask">removeMask</a>,
                                            <a href="YAHOO.widget.Panel.html#render">render</a>,
                                            <a href="YAHOO.widget.Panel.html#showMask">showMask</a>,
                                            <a href="YAHOO.widget.Panel.html#sizeMask">sizeMask</a>,
                                            <a href="YAHOO.widget.Panel.html#sizeUnderlay">sizeUnderlay</a>,
                                            <a href="YAHOO.widget.Panel.html#toString">toString</a>
                                    </code>
                                </div>
                            </div>
                            <div class="section field inheritance">
                                <h4>Methods inherited from <a href="YAHOO.widget.Module.html">YAHOO.widget.Module</a>:</h4>
                                <div class="content">
                                    <code>
                                        
                                            <a href="YAHOO.widget.Module.html#appendToBody">appendToBody</a>,
                                            <a href="YAHOO.widget.Module.html#appendToFooter">appendToFooter</a>,
                                            <a href="YAHOO.widget.Module.html#appendToHeader">appendToHeader</a>,
                                            <a href="YAHOO.widget.Module.html#configMonitorResize">configMonitorResize</a>,
                                            <a href="YAHOO.widget.Module.html#configVisible">configVisible</a>,
                                            <a href="YAHOO.widget.Module.html#destroy">destroy</a>,
                                            <a href="YAHOO.widget.Module.html#hide">hide</a>,
                                            <a href="YAHOO.widget.Module.html#init">init</a>,
                                            <a href="YAHOO.widget.Module.html#initDefaultConfig">initDefaultConfig</a>,
                                            <a href="YAHOO.widget.Module.html#initEvents">initEvents</a>,
                                            <a href="YAHOO.widget.Module.html#initResizeMonitor">initResizeMonitor</a>,
                                            <a href="YAHOO.widget.Module.html#onDomResize">onDomResize</a>,
                                            <a href="YAHOO.widget.Module.html#render">render</a>,
                                            <a href="YAHOO.widget.Module.html#setBody">setBody</a>,
                                            <a href="YAHOO.widget.Module.html#setFooter">setFooter</a>,
                                            <a href="YAHOO.widget.Module.html#setHeader">setHeader</a>,
                                            <a href="YAHOO.widget.Module.html#show">show</a>,
                                            <a href="YAHOO.widget.Module.html#toString">toString</a>
                                    </code>
                                </div>
                            </div>
                            <div class="section field inheritance">
                                <h4>Methods inherited from <a href="YAHOO.widget.Overlay.html">YAHOO.widget.Overlay</a>:</h4>
                                <div class="content">
                                    <code>
                                        
                                            <a href="YAHOO.widget.Overlay.html#align">align</a>,
                                            <a href="YAHOO.widget.Overlay.html#center">center</a>,
                                            <a href="YAHOO.widget.Overlay.html#configConstrainToViewport">configConstrainToViewport</a>,
                                            <a href="YAHOO.widget.Overlay.html#configContext">configContext</a>,
                                            <a href="YAHOO.widget.Overlay.html#configFixedCenter">configFixedCenter</a>,
                                            <a href="YAHOO.widget.Overlay.html#configHeight">configHeight</a>,
                                            <a href="YAHOO.widget.Overlay.html#configIframe">configIframe</a>,
                                            <a href="YAHOO.widget.Overlay.html#configVisible">configVisible</a>,
                                            <a href="YAHOO.widget.Overlay.html#configWidth">configWidth</a>,
                                            <a href="YAHOO.widget.Overlay.html#configX">configX</a>,
                                            <a href="YAHOO.widget.Overlay.html#configXY">configXY</a>,
                                            <a href="YAHOO.widget.Overlay.html#configY">configY</a>,
                                            <a href="YAHOO.widget.Overlay.html#configzIndex">configzIndex</a>,
                                            <a href="YAHOO.widget.Overlay.html#destroy">destroy</a>,
                                            <a href="YAHOO.widget.Overlay.html#doCenterOnDOMEvent">doCenterOnDOMEvent</a>,
                                            <a href="YAHOO.widget.Overlay.html#enforceConstraints">enforceConstraints</a>,
                                            <a href="YAHOO.widget.Overlay.html#hideIframe">hideIframe</a>,
                                            <a href="YAHOO.widget.Overlay.html#hideMacGeckoScrollbars">hideMacGeckoScrollbars</a>,
                                            <a href="YAHOO.widget.Overlay.html#init">init</a>,
                                            <a href="YAHOO.widget.Overlay.html#initDefaultConfig">initDefaultConfig</a>,
                                            <a href="YAHOO.widget.Overlay.html#initEvents">initEvents</a>,
                                            <a href="YAHOO.widget.Overlay.html#moveTo">moveTo</a>,
                                            <a href="YAHOO.widget.Overlay.html#onDomResize">onDomResize</a>,
                                            <a href="YAHOO.widget.Overlay.html#showIframe">showIframe</a>,
                                            <a href="YAHOO.widget.Overlay.html#showMacGeckoScrollbars">showMacGeckoScrollbars</a>,
                                            <a href="YAHOO.widget.Overlay.html#syncPosition">syncPosition</a>,
                                            <a href="YAHOO.widget.Overlay.html#toString">toString</a>
                                    </code>
                                </div>
                            </div>

                        <div class="section method details">
                            <h3><a name="methodDetails">Events</a></h3>
                            <div class="content">
                                    <h4>
                                        <a name="asyncSubmitEvent">asyncSubmitEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>asyncSubmitEvent</strong>

                                            (
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            CustomEvent fired prior to asynchronous submission
                                        </div>

                                        <div class="description">




                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="beforeSumitEvent">beforeSumitEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>beforeSumitEvent</strong>

                                            (
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            CustomEvent fired prior to submission
                                        </div>

                                        <div class="description">




                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="cancelEvent">cancelEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>cancelEvent</strong>

                                            (
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            CustomEvent fired after cancel
                                        </div>

                                        <div class="description">




                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="formSubmitEvent">formSubmitEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>formSubmitEvent</strong>

                                            (
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            CustomEvent fired prior to form-based submission
                                        </div>

                                        <div class="description">




                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="manualSubmitEvent">manualSubmitEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>manualSubmitEvent</strong>

                                            (
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            CustomEvent fired prior to manual submission
                                        </div>

                                        <div class="description">




                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="submitEvent">submitEvent</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                            <strong>submitEvent</strong>

                                            (
                                            )

                                        </code>
                                        
                                        <div class="description">
                                            CustomEvent fired after submission
                                        </div>

                                        <div class="description">




                                        </div>

                                    </div>
                                    <hr />
                            </div>
                        </div>


                        <div class="section field inheritance">
                            <h4>Events inherited from <a href="YAHOO.widget.Panel.html">YAHOO.widget.Panel</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.Panel.html#dragEvent">dragEvent</a>,
                                        <a href="YAHOO.widget.Panel.html#hideMaskEvent">hideMaskEvent</a>,
                                        <a href="YAHOO.widget.Panel.html#showMaskEvent">showMaskEvent</a>
                                </code>
                            </div>
                        </div>
                        <div class="section field inheritance">
                            <h4>Events inherited from <a href="YAHOO.widget.Module.html">YAHOO.widget.Module</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.Module.html#appendEvent">appendEvent</a>,
                                        <a href="YAHOO.widget.Module.html#beforeHideEvent">beforeHideEvent</a>,
                                        <a href="YAHOO.widget.Module.html#beforeInitEvent">beforeInitEvent</a>,
                                        <a href="YAHOO.widget.Module.html#beforeRenderEvent">beforeRenderEvent</a>,
                                        <a href="YAHOO.widget.Module.html#beforeShowEvent">beforeShowEvent</a>,
                                        <a href="YAHOO.widget.Module.html#changeBodyEvent">changeBodyEvent</a>,
                                        <a href="YAHOO.widget.Module.html#changeContentEvent">changeContentEvent</a>,
                                        <a href="YAHOO.widget.Module.html#changeFooterEvent">changeFooterEvent</a>,
                                        <a href="YAHOO.widget.Module.html#changeHeaderEvent">changeHeaderEvent</a>,
                                        <a href="YAHOO.widget.Module.html#destroyEvent">destroyEvent</a>,
                                        <a href="YAHOO.widget.Module.html#hideEvent">hideEvent</a>,
                                        <a href="YAHOO.widget.Module.html#initEvent">initEvent</a>,
                                        <a href="YAHOO.widget.Module.html#renderEvent">renderEvent</a>,
                                        <a href="YAHOO.widget.Module.html#showEvent">showEvent</a>,
                                        <a href="YAHOO.widget.Module.html#YAHOO.widget.Module.textResizeEvent">YAHOO.widget.Module.textResizeEvent</a>
                                </code>
                            </div>
                        </div>
                        <div class="section field inheritance">
                            <h4>Events inherited from <a href="YAHOO.widget.Overlay.html">YAHOO.widget.Overlay</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.Overlay.html#beforeMoveEvent">beforeMoveEvent</a>,
                                        <a href="YAHOO.widget.Overlay.html#moveEvent">moveEvent</a>,
                                        <a href="YAHOO.widget.Overlay.html#YAHOO.widget.Overlay.windowResizeEvent">YAHOO.widget.Overlay.windowResizeEvent</a>,
                                        <a href="YAHOO.widget.Overlay.html#YAHOO.widget.Overlay.windowScrollEvent">YAHOO.widget.Overlay.windowScrollEvent</a>
                                </code>
                            </div>
                        </div>

                        <div class="section field details">
                            <h3><a name="field_detail">Configuration Attributes</a></h3>
                            <div class="content">
                                    <h4><a name="buttons">buttons</a>
                                        <code>- Object[]</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Object literal(s) defining the buttons for the Dialog's footer.
                                        </div>
                                    </div>
 
     
                                    <div class="default">
                                        Default Value: "none"
                                    </div>        

                                    <hr />
                                    <h4><a name="postmethod">postmethod</a>
                                        <code>- String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The method to use for posting the Dialog's form. Possible values are "async", "form", and "manual".
                                        </div>
                                    </div>
 
     
                                    <div class="default">
                                        Default Value: async
                                    </div>        

                                    <hr />

                            </div>
                        </div>

                        <div class="section field inheritance">
                            <h4>Configuration attributes inherited from <a href="YAHOO.widget.Panel.html">YAHOO.widget.Panel</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.Panel.html#close">close</a>,
                                        <a href="YAHOO.widget.Panel.html#draggable">draggable</a>,
                                        <a href="YAHOO.widget.Panel.html#keylisteners">keylisteners</a>,
                                        <a href="YAHOO.widget.Panel.html#modal">modal</a>,
                                        <a href="YAHOO.widget.Panel.html#underlay">underlay</a>
                                </code>
                            </div>
                        </div>
                        <div class="section field inheritance">
                            <h4>Configuration attributes inherited from <a href="YAHOO.widget.Module.html">YAHOO.widget.Module</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.Module.html#effect">effect</a>,
                                        <a href="YAHOO.widget.Module.html#monitorresize">monitorresize</a>,
                                        <a href="YAHOO.widget.Module.html#visible">visible</a>
                                </code>
                            </div>
                        </div>
                        <div class="section field inheritance">
                            <h4>Configuration attributes inherited from <a href="YAHOO.widget.Overlay.html">YAHOO.widget.Overlay</a>:</h4>
                            <div class="content">
                                <code>
                                    
                                        <a href="YAHOO.widget.Overlay.html#constraintoviewport">constraintoviewport</a>,
                                        <a href="YAHOO.widget.Overlay.html#context">context</a>,
                                        <a href="YAHOO.widget.Overlay.html#fixedcenter">fixedcenter</a>,
                                        <a href="YAHOO.widget.Overlay.html#height">height</a>,
                                        <a href="YAHOO.widget.Overlay.html#iframe">iframe</a>,
                                        <a href="YAHOO.widget.Overlay.html#width">width</a>,
                                        <a href="YAHOO.widget.Overlay.html#x">x</a>,
                                        <a href="YAHOO.widget.Overlay.html#xy">xy</a>,
                                        <a href="YAHOO.widget.Overlay.html#y">y</a>,
                                        <a href="YAHOO.widget.Overlay.html#zIndex">zIndex</a>
                                </code>
                            </div>
                        </div>

			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class="selected"><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.util.Config.html">YAHOO.util.Config</a></li>
                                <li class=""><a href="YAHOO.util.KeyListener.html">YAHOO.util.KeyListener</a></li>
                                <li class=""><a href="YAHOO.widget.ContainerEffect.html">YAHOO.widget.ContainerEffect</a></li>
                                <li class="selected"><a href="YAHOO.widget.Dialog.html">YAHOO.widget.Dialog</a></li>
                                <li class=""><a href="YAHOO.widget.Module.html">YAHOO.widget.Module</a></li>
                                <li class=""><a href="YAHOO.widget.Overlay.html">YAHOO.widget.Overlay</a></li>
                                <li class=""><a href="YAHOO.widget.OverlayManager.html">YAHOO.widget.OverlayManager</a></li>
                                <li class=""><a href="YAHOO.widget.Panel.html">YAHOO.widget.Panel</a></li>
                                <li class=""><a href="YAHOO.widget.SimpleDialog.html">YAHOO.widget.SimpleDialog</a></li>
                                <li class=""><a href="YAHOO.widget.Tooltip.html">YAHOO.widget.Tooltip</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="Config.js.html">Config.js</a></li>
                                <li class=""><a href="ContainerEffect.js.html">ContainerEffect.js</a></li>
                                <li class=""><a href="Dialog.js.html">Dialog.js</a></li>
                                <li class=""><a href="KeyListener.js.html">KeyListener.js</a></li>
                                <li class=""><a href="Module.js.html">Module.js</a></li>
                                <li class=""><a href="Overlay.js.html">Overlay.js</a></li>
                                <li class=""><a href="OverlayManager.js.html">OverlayManager.js</a></li>
                                <li class=""><a href="Panel.js.html">Panel.js</a></li>
                                <li class=""><a href="SimpleDialog.js.html">SimpleDialog.js</a></li>
                                <li class=""><a href="Tooltip.js.html">Tooltip.js</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Properties</h4>
                        <ul class="content">        
                                <li><a href="#callback">callback</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#callback.argument">callback.argument</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#callback.failure">callback.failure</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#callback.success">callback.success</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                                <li><a href="#YAHOO.widget.Dialog.CSS_DIALOG">YAHOO.widget.Dialog.CSS_DIALOG</a>
                                        <!--<code>&lt;String&gt;</code>-->
                                </li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Methods</h4>
                        <ul class="content">        
                                <li><!--<code>void</code>-->
                                <a href="#blurButtons">blurButtons</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#cancel">cancel</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#configButtons">configButtons</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#configClose">configClose</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#configPostMethod">configPostMethod</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#doSubmit">doSubmit</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#focusDefaultButton">focusDefaultButton</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#focusFirst">focusFirst</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#focusFirstButton">focusFirstButton</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#focusLast">focusLast</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#focusLastButton">focusLastButton</a>
                                </li>
                                <li><!--<code>Object</code>-->
                                <a href="#getData">getData</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#init">init</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#initDefaultConfig">initDefaultConfig</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#initEvents">initEvents</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#registerForm">registerForm</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#submit">submit</a>
                                </li>
                                <li><!--<code>String</code>-->
                                <a href="#toString">toString</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#validate">validate</a>
                                </li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Events</h4>
                        <ul class="content">        
                                <li>
                                <a href="#asyncSubmitEvent">asyncSubmitEvent</a>
                                </li>
                                <li>
                                <a href="#beforeSumitEvent">beforeSumitEvent</a>
                                </li>
                                <li>
                                <a href="#cancelEvent">cancelEvent</a>
                                </li>
                                <li>
                                <a href="#formSubmitEvent">formSubmitEvent</a>
                                </li>
                                <li>
                                <a href="#manualSubmitEvent">manualSubmitEvent</a>
                                </li>
                                <li>
                                <a href="#submitEvent">submitEvent</a>
                                </li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Configuration Attributes</h4>
                        <ul class="content">        
                                <li>
                                <a href="#buttons">buttons</a>
                                </li>
                                <li>
                                <a href="#postmethod">postmethod</a>
                                </li>
                        </ul>
                    </div>

            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
